### Enumeration

# GUPnPAV OCMFlags

#### Declaration

    flags GUPnPAV.OCMFlags

#### Description [src]

The DLNA OCM flags supported by a DIDL-Lite Object. For details on these flags please refer to section 7.3.118.4 of DLNA Networked Device Interoperability Guidelines Volume 1, October 2006.

#### Members

`GUPNP_OCM_FLAGS_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`GUPNP_OCM_FLAGS_UPLOAD`

  Indicates support for content upload.

  - Value: `1`
  - Available since: 1.0
`GUPNP_OCM_FLAGS_CREATE_CONTAINER`

  Indicates support for creation of child container.

  - Value: `2`
  - Available since: 1.0
`GUPNP_OCM_FLAGS_DESTROYABLE`

  This object is destroyable.

  - Value: `4`
  - Available since: 1.0
`GUPNP_OCM_FLAGS_UPLOAD_DESTROYABLE`

  Indicates support for upload of destroyable content.

  - Value: `8`
  - Available since: 1.0
`GUPNP_OCM_FLAGS_CHANGE_METADATA`

  Indicates support for changing metadata.

  - Value: `16`
  - Available since: 1.0